package ru.sinitsynme.sellingmarket.entity.dto;

import javax.validation.constraints.NotBlank;
import java.util.List;

public class AdvertisementDto {

    @NotBlank
    private String advertName;

    @NotBlank
    private String text;

    private String category;

    private String type;
    private List<String> subcategories;

    public AdvertisementDto() {
    }

    public AdvertisementDto(String advertName, String text, String category) {
        this.advertName = advertName;
        this.text = text;
        this.category = category;
    }

    public String getAdvertName() {
        return advertName;
    }

    public void setAdvertName(String advertName) {
        this.advertName = advertName;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public List<String> getSubcategories() {
        return subcategories;
    }

    public void setSubcategories(List<String> subcategories) {
        this.subcategories = subcategories;
    }
}
