package ru.sinitsynme.sellingmarket.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import ru.sinitsynme.sellingmarket.entity.AdvType;

import java.util.Optional;

@Repository
public interface AdvTypeRepository extends JpaRepository<AdvType, Integer> {

    Optional<AdvType> findByName(String name);
}
