package ru.sinitsynme.sellingmarket.entity.dto;

import javax.validation.constraints.NotBlank;

public class UserDto {

    @NotBlank
    private String username;

    @NotBlank
    private char[] password;

    public UserDto() {
    }

    public UserDto(String username, @NotBlank char[] password) {
        this.username = username;
        this.password = password;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public char[] getPassword() {
        return password;
    }

    public void setPassword(char[] password) {
        this.password = password;
    }
}
