package ru.sinitsynme.sellingmarket.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import ru.sinitsynme.sellingmarket.entity.AdvSubcategory;

import java.util.Optional;

@Repository
public interface AdvSubcategoryRepository extends JpaRepository<AdvSubcategory, Integer> {

    Optional<AdvSubcategory> findBySubcategoryName(String subcategoryName);
}
